CVE-2005-1369
CVSS2.1
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:48:58
NMCOS    

[原文]The (1) it87 and (2) via686a drivers in I2C for Linux 2.6.x before 2.6.11.8, and 2.6.12 before 2.6.12-rc2, create the sysfs "alarms" file with write permissions, which allows local users to cause a denial of service (CPU consumption) by attempting to write to the file, which does not have an associated store function.


[CNNVD]Linux内核it87和via686a驱动不安全文件创建拒绝服务漏洞(CNNVD-200505-611)

        用于Linux 2.6.x的2.6.11.8之前版本和2.6.12的2.6.12-rc2之前版本的I2C中的(1)it87和(2)via686a驱动程序创建带有写许可权的"alarms"文件,本地用户可以借此通过试图写此文件,发起拒绝服务攻击(CPU损耗)。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:linux:linux_kernel:2.6.9:2.6.20
cpe:/o:linux:linux_kernel:2.6.1Linux Kernel 2.6.1
cpe:/o:linux:linux_kernel:2.6.1:rc1Linux Kernel 2.6.1 Release Candidate 1
cpe:/o:linux:linux_kernel:2.6.1:rc2Linux Kernel 2.6.1 Release Candidate 2
cpe:/o:linux:linux_kernel:2.6.2Linux Kernel 2.6.2
cpe:/o:linux:linux_kernel:2.6.0Linux Kernel 2.6.0
cpe:/o:linux:linux_kernel:2.6.4Linux Kernel 2.6.4
cpe:/o:linux:linux_kernel:2.6.3Linux Kernel 2.6.3
cpe:/o:linux:linux_kernel:2.6.10Linux Kernel 2.6.10
cpe:/o:linux:linux_kernel:2.6.8Linux Kernel 2.6.8
cpe:/o:linux:linux_kernel:2.6.5Linux Kernel 2.6.5
cpe:/o:linux:linux_kernel:2.6.8.1Linux Kernel 2.6.8.1
cpe:/o:linux:linux_kernel:2.6.7Linux Kernel 2.6.7
cpe:/o:linux:linux_kernel:2.6.10:rc2Linux Kernel 2.6.10 Release Candidate 2
cpe:/o:linux:linux_kernel:2.6.12:rc1Linux Kernel 2.6.12 Release Candidate 1
cpe:/o:linux:linux_kernel:2.6.6Linux Kernel 2.6.6
cpe:/o:linux:linux_kernel:2.6.11Linux Kernel 2.6.11

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1369
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1369
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-611
(官方数据源) CNNVD

- 其它链接及资源

http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.11.8
(PATCH)  CONFIRM  http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.11.8
http://lkml.org/lkml/2005/4/20/159
(UNKNOWN)  CONFIRM  http://lkml.org/lkml/2005/4/20/159
http://www.securityfocus.com/archive/1/archive/1/427980/100/0/threaded
(UNKNOWN)  FEDORA  FLSA:157459-3

- 漏洞信息

Linux内核it87和via686a驱动不安全文件创建拒绝服务漏洞
低危 设计错误
2005-05-02 00:00:00 2005-10-20 00:00:00
本地  
        用于Linux 2.6.x的2.6.11.8之前版本和2.6.12的2.6.12-rc2之前版本的I2C中的(1)it87和(2)via686a驱动程序创建带有写许可权的"alarms"文件,本地用户可以借此通过试图写此文件,发起拒绝服务攻击(CPU损耗)。

- 公告与补丁

        暂无数据

- 漏洞信息

16064
Linux Kernel it87 Driver Insecure File Creation
Local Access Required Denial of Service
Loss of Availability
Exploit Unknown

- 漏洞描述

The hardware monitoring drivers for the it87 and via686a chipsets in the Linux kernel contains a flaw that may allow a local denial of service. These drivers create a sysfs file called "alarms" incorrectly in R/W mode. The issue is triggered when a local user attempts to write to this file, and will result in loss of availability for the system by utilizing the CPU at 100% until the system is rebooted.

- 时间线

2005-05-02 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.6.11.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Linux Kernel it87 and via686a Drivers Insecure File Creation Denial of Service Vulnerability
Design Error 13455
No Yes
2005-05-02 12:00:00 2009-07-12 02:06:00
Announced in the kernel 2.6.11.8 changelog.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Red Hat Fedora Core3
Mandriva Linux Mandrake 10.2 x86_64
Mandriva Linux Mandrake 10.2
Linux kernel 2.6.11 .7
Linux kernel 2.6.11 .8

- 不受影响的程序版本

Linux kernel 2.6.11 .8

- 漏洞讨论

The Linux kernel it87 and via686a drivers create an insecure file that could allow a local user to cause a denial of service condition. This occurs because the created file's permissions allow both read and write.

This issue was reported to affect kernel version 2.6.11.7; earlier versions may also be affected.

- 漏洞利用

An exploit is not required.

- 解决方案

This issue has been addressed in kernel version 2.6.11.8:

Ubuntu Linux has released advisory USN-131-1 to address this, and other issues. Please see the referenced advisory for further information.

RedHat Fedora Linux has released advisory FEDORA-2005-392 addressing this issue for Fedora Core 3. Please see the referenced advisory for details on obtaining and applying the appropriate updates.

Mandriva Linux has released advisory MDKSA-2005:110 addressing this issue. Please see the referenced advisory for further information.


Linux kernel 2.6.11 .7

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站